# Ipopt::SimpleBacksolver Class Reference

`#include <SensSimpleBacksolver.hpp>`

Inheritance diagram for Ipopt::SimpleBacksolver:
[legend]

List of all members.

## Public Member Functions
| SimpleBacksolver (SmartPtr< PDSystemSolver > pd_solver)
| ~SimpleBacksolver ()
bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
bool | Solve (SmartPtr< IteratesVector > delta_lhs, SmartPtr< const IteratesVector > delta_rhs)
## Private Member Functions
| SimpleBacksolver ()
## Private Attributes
SmartPtr< PDSystemSolver > | pd_solver_
bool | allow_inexact_

## Detailed Description

Definition at line 18 of file SensSimpleBacksolver.hpp.

## Constructor & Destructor Documentation

Ipopt::SimpleBacksolver::SimpleBacksolver | ( | SmartPtr< PDSystemSolver > | pd_solver | ) |

Ipopt::SimpleBacksolver::~SimpleBacksolver | ( |  | ) | `[inline]`

Definition at line 24 of file SensSimpleBacksolver.hpp.

Ipopt::SimpleBacksolver::SimpleBacksolver | ( |  | ) | `[private]`

## Member Function Documentation

bool Ipopt::SimpleBacksolver::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

bool Ipopt::SimpleBacksolver::Solve | ( | SmartPtr< IteratesVector > | delta_lhs,
|  | SmartPtr< const IteratesVector > | delta_rhs |
| ) |  |  | `[virtual]`

Implements Ipopt::SensBacksolver.

## Member Data Documentation

SmartPtr<PDSystemSolver> Ipopt::SimpleBacksolver::pd_solver_`[private]`

Definition at line 37 of file SensSimpleBacksolver.hpp.

bool Ipopt::SimpleBacksolver::allow_inexact_`[private]`

Definition at line 38 of file SensSimpleBacksolver.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensSimpleBacksolver.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines